> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/fiat-accounts/deposit-funds-from-dda",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Deposit funds from DDA

> Deposits funds from the linked DDA.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml post /fiat_accounts/{accountId}/deposit_from_linked_dda
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /fiat_accounts/{accountId}/deposit_from_linked_dda:
    post:
      tags:
        - Fiat accounts
      summary: Deposit funds from DDA
      description: Deposits funds from the linked DDA.
      operationId: depositFundsFromLinkedDDA
      parameters:
        - in: path
          name: accountId
          required: true
          description: The ID of the fiat account to use
          schema:
            type: string
        - $ref: '#/components/parameters/X-Idempotency-Key'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Funds'
      responses:
        '201':
          description: Transfer succeeded
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DepositFundsFromLinkedDDAResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<DepositFundsFromLinkedDDAResponse>> =
            fireblocks.fiatAccounts.depositFundsFromLinkedDDA(fiatAccountsApiDepositFundsFromLinkedDDARequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<DepositFundsFromLinkedDDAResponse>>
            response =
            fireblocks.fiatAccounts().depositFundsFromLinkedDDA(accountId,
            funds, idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.fiat_accounts.deposit_funds_from_linked_d_d_a(account_id,
            funds, idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  schemas:
    Funds:
      type: object
      properties:
        amount:
          type: number
    DepositFundsFromLinkedDDAResponse:
      type: object
      properties:
        success:
          type: boolean
          description: >-
            Indicates whether the funds were successfully deposited from the
            linked DDA
      required:
        - success
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````